Record Class UpdateUserRequest

java.lang.Object
java.lang.Record
fr.tiogars.domaintemplate.domains.auth.user.models.UpdateUserRequest

public record UpdateUserRequest(@NotBlank String username, String password, @NotNull Boolean enabled, @NotEmpty Set<@NotBlank String> roles) extends Record
Request body used to update a user account.
  • Constructor Summary

    Constructors
    Constructor
    Description
    UpdateUserRequest(@NotBlank String username, String password, @NotNull Boolean enabled, @NotEmpty Set<@NotBlank String> roles)
    Creates an instance of a UpdateUserRequest record class.
  • Method Summary

    Modifier and Type
    Method
    Description
    @NotNull Boolean
    Returns the value of the enabled record component.
    final boolean
    Indicates whether some other object is "equal to" this one.
    final int
    Returns a hash code value for this object.
    Returns the value of the password record component.
    @NotEmpty Set<@NotBlank String>
    Returns the value of the roles record component.
    final String
    Returns a string representation of this record class.
    @NotBlank String
    Returns the value of the username record component.

    Methods inherited from class Object

    clone, finalize, getClass, notify, notifyAll, wait, wait, wait
  • Constructor Details

    • UpdateUserRequest

      public UpdateUserRequest(@NotBlank @NotBlank String username, String password, @NotNull @NotNull Boolean enabled, @NotEmpty @NotEmpty Set<@NotBlank String> roles)
      Creates an instance of a UpdateUserRequest record class.
      Parameters:
      username - the value for the username record component
      password - the value for the password record component
      enabled - the value for the enabled record component
      roles - the value for the roles record component
  • Method Details

    • toString

      public final String toString()
      Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
      Specified by:
      toString in class Record
      Returns:
      a string representation of this object
    • hashCode

      public final int hashCode()
      Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
      Specified by:
      hashCode in class Record
      Returns:
      a hash code value for this object
    • equals

      public final boolean equals(Object o)
      Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with Objects::equals(Object,Object).
      Specified by:
      equals in class Record
      Parameters:
      o - the object with which to compare
      Returns:
      true if this object is the same as the o argument; false otherwise.
    • username

      @NotBlank public @NotBlank String username()
      Returns the value of the username record component.
      Returns:
      the value of the username record component
    • password

      public String password()
      Returns the value of the password record component.
      Returns:
      the value of the password record component
    • enabled

      @NotNull public @NotNull Boolean enabled()
      Returns the value of the enabled record component.
      Returns:
      the value of the enabled record component
    • roles

      @NotEmpty public @NotEmpty Set<@NotBlank String> roles()
      Returns the value of the roles record component.
      Returns:
      the value of the roles record component